{{page-title (capitalize (t this.title))}}

<Manage::Container>
  <:content>
    <Manage::Header @title={{capitalize (t this.title)}}>
      <Filters::Bar>
        <Manage::Toolbar::ViewMode class="mt-1 me-1" @allowCardColumns={{true}} @allowList={{true}} @value={{this.viewMode}} @onChange={{this.changeViewMode}} />

        {{#if this.user.isAdmin}}
          <Manage::Toolbar::AdminAll class="mt-1 me-1" @value={{this.all}} @onChange={{this.changeShowAll}} />
        {{/if}}
      </Filters::Bar>
    </Manage::Header>

    <div class="row mt-5">
      <div class="col">
        <Manage::List
          @isEditable={{true}}
          @viewMode={{this.viewMode}}
          @hasTopImage={{true}}
          @header={{concat (t "name") "," (t "icon-label") "," (t "layers")}}
          @columns={{array @model}}
          @onDelete={{this.delete}}
          as |section|
        >
          {{#if section.isTopImage}}
            <div class="p-2 pt-4 text-center text-primary">
              <FaIcon @icon={{section.item.icon}} @size="3x" />
            </div>
          {{/if}}

          {{#if section.isHeader}}
            <LinkTo @route="manage.basemaps.edit" @model={{section.item.id}} class="text-decoration-none font-weight-bold text-dark p-0 ms-0 ps-0">
              {{section.item.name}}
            </LinkTo>
          {{/if}}

          {{#if section.isOtherOptions}}
            <LinkTo @route="manage.basemaps.edit" @model={{section.item.id}} class="dropdown-item">
              <FaIcon @icon="pencil-alt" />
              {{capitalize (t "edit-label")}}
            </LinkTo>
          {{/if}}

          {{#if section.isRow}}
            <th scope="row">
              <LinkTo @route="manage.basemaps.edit" @model={{section.item.id}} class="text-decoration-none font-weight-bold text-dark p-0 ms-0 ps-0">
                {{section.item.name}}
              </LinkTo>
            </th>
            <td>
              <FaIcon @icon={{section.item.icon}} />
              {{section.item.icon}}
            </td>
            <td>
              {{section.item.layers.length}}
            </td>
          {{/if}}
        </Manage::List>
      </div>
    </div>
  </:content>
</Manage::Container>